---
title: MediaKeySession.closed
slug: Web/API/MediaKeySession/closed
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - NeedsExample
  - Property
  - Reference
  - closed
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySession.closed</code> read-only property returns a {{jsxref('Promise')}} signaling when a {{domxref('MediaKeySession')}} closes. This promise can only be fulfilled and is never rejected. Closing a session means that licenses and keys associated with it are no longer valid for decrypting media data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = <var>mediaKeySessionObj</var>.closed;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Promise")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-closed', 'closed')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.closed")}}</p>
</div>
